Qt API | Qtopia API | Qtopia Documentation |

# QPEStyle Class Reference

The QPEStyle class implements the default Qtopia widget style. More...

`#include <qtopia/qpestyle.h>`

Inherits QWindowsStyle.

List of all member functions.

## Public Members

- QPEStyle ()
- virtual ~QPEStyle ()
- virtual void drawPrimitive ( PrimitiveElement pe, QPainter * p, const QRect & r, const QColorGroup & cg, SFlags flags = Style_Default, const QStyleOption & = QStyleOption::Default ) const
- virtual void drawControl ( ControlElement ce, QPainter * p, const QWidget * widget, const QRect & r, const QColorGroup & cg, SFlags how = Style_Default, const QStyleOption & = QStyleOption::Default ) const
- virtual void drawComplexControl ( ComplexControl control, QPainter * p, const QWidget * widget, const QRect & r, const QColorGroup & cg, SFlags how = Style_Default, SCFlags sub = SC_All, SCFlags subActive = SC_None, const QStyleOption & = QStyleOption::Default ) const
- virtual int pixelMetric ( PixelMetric metric, const QWidget * widget = 0 ) const
- virtual QSize sizeFromContents ( ContentsType contents, const QWidget * widget, const QSize & contentsSize, const QStyleOption & = QStyleOption::Default ) const

## Detailed Description

The QPEStyle class implements the default Qtopia widget style.

See also Qtopia Classes.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.